Skip to main content
GET
/
projects
/
{project_id}
/
runs
/
{run_id}
/
test_entities
/
{test_entity_id}
/
result_histories
List result histories
curl --request GET \
  --url https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/test_entities/{test_entity_id}/result_histories \
  --header 'Accept: <accept>' \
  --header 'X-Api-Key: <x-api-key>'
{
  "result_histories": [
    {
      "status": "passed",
      "duration": 3.21,
      "started_at": "2026-06-27T09:14:25.000Z",
      "run_id": "kftwnab",
      "run": {
        "commit_name": "Fix flaky checkout spec",
        "branch": "main",
        "author": "Oliver Smith",
        "tags": [
          "nightly"
        ],
        "commit_id": "9fceb02e1d2c4bb6a1f3f6b0c8e7d5a1b2c3d4e5",
        "ci_build_id": "gh-actions-4821",
        "duration": 182.45,
        "status": "passed"
      }
    }
  ]
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Accept
enum<string>
default:application/json
required

Specifies the expected response format. Must be set to application/json for proper API communication.

Available options:
application/json

Path Parameters

project_id
string
required

Id of the project. You can get project_id by listing your projects using the List projects API.

Example:

"pdqmxlz"

run_id
string
required

Id of the run. You can get run_id by listing runs using the List runs API.

Example:

"kftwnab"

test_entity_id
string
required

Id of the test entity (a spec or a test). You can get test_entity_id by listing test entities using the List test entities API.

Example:

"vhrscje"

Query Parameters

days
integer
default:7

Number of days to look back from the anchor date. Defaults to 7.

Example:

14

result_history_started_at
string<date-time>

Anchor date (ISO 8601) to look back from. Defaults to the latest result of the test entity in this run.

Example:

"2026-06-28T00:00:00.000Z"

Response

200 - application/json

OK - Request succeeded

result_histories
object[]